Subject: Build problem on VR15 for HP-UX

From: "Carol L. Evers" <[email-masked]>
Date: Tue, 2 Mar 1999 12:58:45 -0600

I am trying to upgrade my ftp server from wuftpd-2.4.2 to VR15 but am getting
the following error.  I haven't been able to figure out what size 'sa' is
suppose to be.  I'm assuming the other errors are a result of not having a size
set for 'sa'.  Does anyone have any ideas?  I am running HP-UX 10.20, and using
the Ansi C compiler.  Any help would be appreciated.

Carol Evers
Imation Enterprises Corp.
UNIX Administrator
(651) 704-7165

# ./build hpx
make args are :
make opts are :

Copying Makefiles.

Linking src/config.h

Making support library.
        cc -Aa -D_POSIX_SOURCE -O   -c authuser.c
cc: "authuser.c", line 99: error 1574: Unknown size for "sa".
cc: "authuser.c", line 106: error 1594: The sizeof operator cannot be applied to
types with unknown size.
cc: "authuser.c", line 109: error 1530: Undefined struct or union.
cc: "authuser.c", line 109: error 1588: "AF_INET" undefined.
cc: "authuser.c", line 109: error 1563: Expression in if must be scalar.
cc: "authuser.c", line 110: error 1588: "EAFNOSUPPORT" undefined.
cc: "authuser.c", line 113: error 1530: Undefined struct or union.
cc: "authuser.c", line 114: error 1594: The sizeof operator cannot be applied to
types with unknown size.
cc: "authuser.c", line 117: error 1530: Undefined struct or union.
cc: "authuser.c", line 118: error 1530: Undefined struct or union.
cc: "authuser.c", line 118: error 1529: Cannot select field of non-structure.
cc: "authuser.c", line 136: error 1574: Unknown size for "sa".
cc: "authuser.c", line 147: error 1588: "AF_INET" undefined.
cc: "authuser.c", line 147: error 1588: "SOCK_STREAM" undefined.
cc: "authuser.c", line 149: error 1588: "SOL_SOCKET" undefined.
cc: "authuser.c", line 149: error 1588: "SO_REUSEADDR" undefined.
cc: "authuser.c", line 150: error 1549: Modifiable lvalue required for
assignment operator.
cc: "authuser.c", line 151: error 1530: Undefined struct or union.
cc: "authuser.c", line 152: error 1594: The sizeof operator cannot be applied to
types with unknown size.
cc: "authuser.c", line 153: error 1530: Undefined struct or union.
cc: "authuser.c", line 154: error 1530: Undefined struct or union.
cc: "authuser.c", line 155: error 1530: Undefined struct or union.
cc: "authuser.c", line 155: error 1529: Cannot select field of non-structure.
cc: "authuser.c", line 156: error 1594: The sizeof operator cannot be applied to
types with unknown size.
*** Error exit code 1

Stop.

---

From: [email-masked] (Albert Lunde)
Date: Tue, 02 Mar 1999 14:06:32 CST

> the Ansi C compiler.  Any help would be appreciated.

Change the makefiles (Makefile.hpx under src and support) to use 
"-Ae" in CFLAGS instead of "-Aa -D_POSIX_SOURCE";
this gives you a few more non-Posix Symbols and non-ANSI extensions,
some of which are required by the VR code.

--
    Albert Lunde                      [email-masked]